require 'rand-rspec/strings/ascii_generator'
require 'rand-rspec/strings/unicode_generator'

module RandTest

  module Strings

    def random_ascii_of_length_between(min, max, options={})
      RandTest::AsciiGenerator.random_ascii_between(min, max, options)
    end

    def random_ascii_of_length(length, options={})
      random_ascii_of_length_between(0, length-1, options)
    end

    def random_unicode_of_length(min, max, options={})
      RandTest::UnicodeGenerator.random_unicode_of_length(min, max, options)
    end
  end
end
